com.impinj.stp

## Interface StpApi.TagOperationReportConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.TagOperationReportConfig, StpApi.TagOperationReportConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.TagOperationReportConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEnableEpcInSerialReport()` This only has meaning if enable_reporting_over_serial_port is true.
    `boolean` | `getEnableReportingOverSerialPort()` Send a brief one-line ASCII report over the device's serial port.
    `boolean` | `getEnableTagOperationPassAlreadyDoneReports()` KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded.
    `boolean` | `getEnableTagOperationReports()`
    `boolean` | `getEnableTagOperationRetryReports()`
    `boolean` | `getSendSerialReportAfterGPODeassert()` Send after GPO pass/fail assert or deassert.
    `StpApi.TagOperationReportTrigger` | `getTagOperationReportTrigger()`
    `boolean` | `hasEnableEpcInSerialReport()` This only has meaning if enable_reporting_over_serial_port is true.
    `boolean` | `hasEnableReportingOverSerialPort()` Send a brief one-line ASCII report over the device's serial port.
    `boolean` | `hasEnableTagOperationPassAlreadyDoneReports()` KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded.
    `boolean` | `hasEnableTagOperationReports()`
    `boolean` | `hasEnableTagOperationRetryReports()`
    `boolean` | `hasSendSerialReportAfterGPODeassert()` Send after GPO pass/fail assert or deassert.
    `boolean` | `hasTagOperationReportTrigger()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasEnableTagOperationReports

          boolean hasEnableTagOperationReports()

    - #### getEnableTagOperationReports

          boolean getEnableTagOperationReports()

    - #### hasEnableTagOperationRetryReports

          boolean hasEnableTagOperationRetryReports()

    - #### getEnableTagOperationRetryReports

          boolean getEnableTagOperationRetryReports()

    - #### hasTagOperationReportTrigger

          boolean hasTagOperationReportTrigger()

    - #### getTagOperationReportTrigger

          StpApi.TagOperationReportTrigger getTagOperationReportTrigger()

    - #### hasEnableReportingOverSerialPort

          boolean hasEnableReportingOverSerialPort()

      Send a brief one-line ASCII report over the device's serial port. Only used for single operating mode. See OperationMode_.

    - #### getEnableReportingOverSerialPort

          boolean getEnableReportingOverSerialPort()

      Send a brief one-line ASCII report over the device's serial port. Only used for single operating mode. See OperationMode_.

    - #### hasSendSerialReportAfterGPODeassert

          boolean hasSendSerialReportAfterGPODeassert()

      Send after GPO pass/fail assert or deassert.

    - #### getSendSerialReportAfterGPODeassert

          boolean getSendSerialReportAfterGPODeassert()

      Send after GPO pass/fail assert or deassert.

    - #### hasEnableEpcInSerialReport

          boolean hasEnableEpcInSerialReport()

      This only has meaning if enable_reporting_over_serial_port is true. When this is false, the EPC reported in the serial tag report is the empty string instead of the actual EPC read. This is useful for reducing the amount of traffic over the serial port if the EPC is not useful for a particular application.

    - #### getEnableEpcInSerialReport

          boolean getEnableEpcInSerialReport()

      This only has meaning if enable_reporting_over_serial_port is true. When this is false, the EPC reported in the serial tag report is the empty string instead of the actual EPC read. This is useful for reducing the amount of traffic over the serial port if the EPC is not useful for a particular application.

    - #### hasEnableTagOperationPassAlreadyDoneReports

          boolean hasEnableTagOperationPassAlreadyDoneReports()

      KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded. They were not re-encoded.

    - #### getEnableTagOperationPassAlreadyDoneReports

          boolean getEnableTagOperationPassAlreadyDoneReports()

      KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded. They were not re-encoded.